## NAME

r.li.padrange - Calculates range of patch area size on a raster map

## KEYWORDS

raster, landscape structure analysis, patch index

## SYNOPSIS

r.li.padrange
r.li.padrange --help
r.li.padrange input=name config=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
config=name [required]
  Configuration file
output=name [required]
  Name for output raster map

## DESCRIPTION

r.li.padrange calculates the range of patch area sizes in hectares as:
with:

- amax: max patch area size
- amin: min patch area size

This index is calculated using a 4 neighbour algorithm, diagonal cells are ignored when tracing a patch.

## NOTES

Do not use absolute path names for the config and output file/map parameters. If the "moving window" method was selected in g.gui.rlisetup, then the output will be a raster map, otherwise an ASCII file will be generated in the folder `C:\Users\userxy\AppData\Roaming\GRASS7\r.li\output\` (MS-Windows) or `$HOME/.grass7/r.li/output/` (GNU/Linux).

If the sample area contains only NULL values then r.li.padrange returns NULL.

## EXAMPLES

To calculate range of patch area size index on map my_map, using my_conf configuration file (previously defined with g.gui.rlisetup) and saving results in my_out, run:

    r.li.padrange input=my_map conf=my_conf output=my_out

Forest map (Spearfish sample dataset) example:

    g.region raster=landcover.30m -p
    r.mapcalc "forests = if(landcover.30m >= 41 && landcover.30m <= 43,1,null())"
    r.li.padrange input=forests conf=movwindow7 out=forests_padrange_mov7
    r.univar forests_padrange_mov7

Forest map (North Carolina sample dataset) example:

    g.region raster=landclass96 -p
    r.mapcalc "forests = if(landclass96 == 5, 1, null() )"
    r.li.padrange input=forests conf=movwindow7 out=forests_padrange_mov7

    # verify
    r.univar forests_padrange_mov7
    r.to.vect input=forests output=forests type=area
    d.mon wx0
    d.rast forests_padrange_mov7
    d.vect forests type=boundary

## SEE ALSO

r.li - package overview
g.gui.rlisetup

## REFERENCES

McGarigal, K., and B. J. Marks. 1995. FRAGSTATS: spatial pattern analysis program for quantifying landscape structure. USDA For. Serv. Gen. Tech. Rep. PNW-351. (PDF)

## AUTHORS

Michael Shapiro - CERL (patch identification)
Markus Metz (statistics)

## SOURCE CODE

Available at: r.li.padrange source code (history)

Accessed: Wednesday Mar 20 04:45:54 2024

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual